/*

An example of license ...

This source file is part of Scol
For the latest info, see http://www.scolring.org

Copyright (c) 2010 Iri <iri@irizone.net>

This source is under the terms of the Scol License. See the COPYING included file
for more informations.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.

For others informations, please contact us from http://www.scolring.org/

*/

#ifndef _EXAMPLE_MAIN_H_
#define _EXAMPLE_MAIN_H_


/* On inclut le header de définition des structures partagées avec le noyau (impératif) */
#if defined _WIN32 || defined __WIN32__
#include "scol_plugin_win.h"
#elif defined linux || defined __linux
#include "scol_plugin_lin.h"
#else
#error no platform supported
#endif
/* On inclut la définition des macros, c'est optionnel mais chaudement recommandé */
#include "macros.h"

/* Nombre d'éléments de l'API Scol définit dans cette bibliothèque. Ce nombre doit
être rigoureusement exact sous peine de crash ou de non chargement de la bibliothèque.
N'oubliez pas de le mettre à jour à chaque fois que vous ajouter ou supprimer un élément de l'API ! */
#define EXAMPLE_PKG_NB  1

#endif
